﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.ThreatType
@{
    ViewData["Title"] = "Index";
    //Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    .backtolist {
        margin-top: 3px !important;
    }
</style>
<script src="~/Script/Master/Layout.js"></script>
<section>

    <input data-val="true" data-val-number="The field ServiceId must be a number." data-val-required="The ServiceId field is required." id="ServiceId" name="ServiceId" type="hidden" value="0">
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Threat Type List</h1>
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="TabMenu" asp-controller="Domain" asp-area="Master">Back to Menu</a>

            <div class="titile_line"></div>
        </div>
        @if (ViewBag.message != null)
        {
            <script>toastr.success('@ViewBag.message');</script>
        }
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <form data-ajax="true" asp-action="SaveThreatType" asp-controller="ThreatType" asp-area="Master"
                          data-ajax-method="POST"
                          data-ajax-mode="replace"
                          data-loading-text="loading......"
                          data-ajax-update="#ajaxresult"
                          data-ajax-success="fn_Onsuccess(data,'Master/Threat/Index');"
                          data-ajax-failure="Errmsg(data);" id="Threattypeform" method="post">
                        <div class="service_line" id="dvForm">
                            <input type="hidden" name="TTypeId" id="hiddenTTypeId" value="@Model.TTypeId" />
                            @*<div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Threat</label>
                                    <div class="select_box m_bottom">
                                        <select class="form-control m_no" name="ThreatLevel" id="ddlThreatLevel" value="@Model.ThreatLevel">
                                            <option value="0">Select Threat Level</option>
                                            <option value="1">High</option>
                                            <option value="2">Medium</option>
                                            <option value="3">Low</option>
                                        </select>
                                    </div>
                                </div>
                            </div>*@
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Threat Type Name</label>
                                    <div class="select_box m_bottom">
                                        <input type="text" class="form-control m_no" name="TTypeName" id="txtTTypeName" value="@Model.TTypeName" placeholder="Enter Threat Type Name">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <div class="submitbtn">
                                        <input type="submit" id="btnsubmit" name="Submit" value="Submit" onclick="CheckValidation()">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <div class="assign_panel assign_section">
                        <div class="addbtn">
                            <div class="add_litigation">
                                <span>+</span>
                                <input type="button" onclick="fnHideShowForm()" value="Add Threat Type">
                            </div>
                        </div><!--edn of addbtn-->
                        <div class="assign_box active_block fade in">
                            <div class="row">
                                <div class="table_control">
                                    <table id="example2" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width: 70px;">SN</th>
                                                @*<th>Threat Level</th>*@
                                                <th>Threat Type Name</th>
                                                <th style="width:130px">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{int sn = 0;}
                                            @foreach (var item in Model.ThreatTypes)
                                            {
                                                <tr>
                                                    <td>@(++sn)</td>
                                                    @*<td>@item.ThreatLevel</td>*@
                                                    <td>@item.TTypeName</td>
                                                    <td>
                                                        <a href="#" onclick="fnUpdate('@item.TTypeId', '@Convert.ToInt16(item.ThreatLevel)', '@item.TTypeName')" class="edit_btn"></a>
                                                        @*@if (item.IsActive)
                                                        {
                                                            <a class="btn btn-info btn-xs pull-left" onclick="fn_Activeincative('@item.TTypeId', '@(item.IsActive?"deactivate":"activate")')"><i class="fa fa-check" aria-hidden="true"></i></a>
                                                        }
                                                        else
                                                        {
                                                            <a class="btn btn-danger btn-xs pull-left" onclick="fn_Activeincative('@item.TTypeId', '@(item.IsActive?"deactivate":"activate")')"><i class="fa fa-times" aria-hidden="true"></i></a>
                                                        }*@
                                                        <a class="delete_btn" onclick="Confirmation('@item.TTypeId')"></a>
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<script type="text/javascript">
    function fnHideShowForm() {
        $('#dvForm').toggleClass('service_line');
    }
    function fnUpdate(TTypeId, ThreatLevel, TTypeName) {
        fnHideShowForm()
        $('#hiddenTTypeId').val(TTypeId);
        $('#ddlThreatLevel').val(ThreatLevel);
        $('#txtTTypeName').val(TTypeName);
        $('#form').removeAttr('action').attr('action', '/Master/ThreatType/UpdateThreatType');
    }
    function fnBlockDelete(TTypeId, Action, Type) {
        $.getJSON('/Master/ThreatType/BlockDeleteThreatType', { TTypeId: TTypeId, Type: Type }, function (data) {
            if (data > 0) {
                if (Type > 0) {
                    toastr.success(Action + " " + "successfully!!");
                } else {
                    toastr.success(Action + " " + "successfully");
                }
                setTimeout(function () { window.location.reload(); }, 2000);
            }
        });
    }
    $("input[type=submit]").click(function (event) {
        //if ($("select[name=ThreatLevel]").val() == 0) {
        //    event.preventDefault();
        //    toastr.error("Select threat");
        //}
        if ($("input[name=TTypeName]").val() == "") {
            event.preventDefault();
            toastr.error("Threat type name is required.");
        }
    });
    function Confirmation(id) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You want to delete this threat type',
            showCancelButton: true,
            confirmButtonText: 'Delete',
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                $('#preloader').show();
                $.ajax({
                    url: "/Master/ThreatType/BlockDeleteThreatType",
                    type: "POST",
                    cache: false,
                    data: { TTypeId: id, Type: Type = 1 },
                    success: function (result) {
                        $('#preloader').hide();
                        toastr.success("Delete successfully!!");
                        $('a[href="/Master/ThreatType/Index"]').click();
                    }, error: function (ex) {
                        console.log(ex.statusText);
                    }
                })
            }
        });
    }
    function fn_Activeincative(id, status) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You want to ' + status + ' this ThreatType',
            showCancelButton: true,
            confirmButtonText: status,
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                $('#preloader').show();
                $.ajax({
                    url: "/Master/ThreatType/BlockDeleteThreatType",
                    type: "POST",
                    cache: false,
                    data: { TTypeId: id, Type: Type = 0 },
                    success: function (result) {
                        $('#preloader').hide();
                        toastr.success(status + " " + "successfully!!");
                        $('a[href="/Master/ThreatType/Index"]').click();
                    }, error: function (ex) {
                        console.log(ex.statusText);
                    }
                })
            }
        });
    }
</script>

